Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.render.bbcodehtml
Class ToHTMLRenderer

    java.lang.Object
      org.jboss.portal.format.render.AbstractRenderer
          org.jboss.portal.format.render.bbcodehtml.ToHTMLRenderer

    public class ToHTMLRenderer

extends AbstractRenderer

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`ParseEventHandler` | `bbCodeHandler`
`ParseEventHandler` | `HTMLCRPHandler`
`ParseEventHandler` | `lineBreakHandler`
`ParseEventHandler` | `tagHandler`
`ParseEventHandler` | `XMLCRPHandler`

Fields inherited from class org.jboss.portal.format.render.AbstractRenderer
`log, writer`

Constructor Summary
`ToHTMLRenderer(java.util.ResourceBundle bundle)`
`ToHTMLRenderer(ToHTMLConfig config, java.util.ResourceBundle bundle)` Setup the renderer with the given template repository.

Method Summary
`ToHTMLConfig` | `getConfig()`
`void` | `render(char[] chars, int offset, int length)` Render.
`void` | `setConfig(ToHTMLConfig config)`

Methods inherited from class org.jboss.portal.format.render.AbstractRenderer
`render, setWriter, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bbCodeHandler

    public ParseEventHandler bbCodeHandler

### tagHandler

    public ParseEventHandler tagHandler

### XMLCRPHandler

    public ParseEventHandler XMLCRPHandler

### HTMLCRPHandler

    public ParseEventHandler HTMLCRPHandler

### lineBreakHandler

    public ParseEventHandler lineBreakHandler

Constructor Detail

### ToHTMLRenderer

    public ToHTMLRenderer(ToHTMLConfig config,
                          java.util.ResourceBundle bundle)

  Setup the renderer with the given template repository.

### ToHTMLRenderer

    public ToHTMLRenderer(java.util.ResourceBundle bundle)

Method Detail

### getConfig

    public ToHTMLConfig getConfig()

### setConfig

    public void setConfig(ToHTMLConfig config)

### render

    public void render(char[] chars,
                       int offset,
                       int length)

  Description copied from class: `AbstractRenderer`
  Render.

  Specified by:
    `render` in class `AbstractRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD